| Home | Libraries | People | FAQ | More

## Struct template is_continuous

boost::histogram::axis::traits::is_continuous — Whether axis is continuous or discrete.

## Synopsis

    // In header: <boost/histogram/axis/traits.hpp>

    template<typename Axis>
    struct is_continuous {
    };

## Description

Doxygen does not render this well. This is a meta-function (template alias), it accepts an axis type and returns a compile-time boolean.

If the boolean is true, the axis is continuous (covers a continuous range of values). Otherwise it is discrete (covers discrete values).